      subroutine liligne(question,iopt,fich,long)
c
      character*132 fich
      character*200 ligne
      character*(*) question 
c
      call print_moi_ca(question,iopt)
c
      read(*,'(a200)') ligne
      ideb=0
  10  ideb=ideb+1
      if (ideb.gt.200) then
        long=1
        fich(1:1) = ' '
        return
      endif
      if(ligne(ideb:ideb).eq.' ') goto 10
c
      ifin = 202-ideb
  20  ifin=ifin-1
      if(ligne(ifin:ifin).eq.' ') goto 20
c
      long = ifin+1-ideb
      if (long.gt.132) then
        print*,
     &  'REPONSE TROP LONGUE (',long,' CARACTERES) - TRONQUEE A 132'
        long=132
      endif
c
      fich(1:long) = ligne(ideb:ifin)
      if (long.lt.132) then
        do i=long+1,132
          fich(i:i) = ' '
        enddo
      endif
      if (iopt.gt.0) write(iopt,'(a)') fich(1:long)
      end
